--- title: List Skills | Luma Agents --- GET /v1/skills Select code samplecURL (shell:curl) ```js const url = 'https://agents.lumalabs.ai/v1/skills?limit=25'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```sh curl --request GET \ --url 'https://agents.lumalabs.ai/v1/skills?limit=25' \ --header 'Authorization: Bearer ' ``` - Productionagents.lumalabs.ai/v1/skills List live skills in one tier, newest first. ## Authorizations - **[BearerAuth](/api/agents/index.md#bearerauth)** ## Parameters ### Query Parameters **scope\_id** Any of: - [string](#tab-panel-0-0) - [null](#tab-panel-0-1) string null List this workspace's skills; omit for client-tier skills. **limit** *Limit* integer default: 25 >= 1 <= 100 **after** Any of: - [string](#tab-panel-1-0) - [null](#tab-panel-1-1) string null The `next` value from the previous page. ## Responses ### 200 Successful Response Media typeapplication/json *ClientSkillList* object **data** required *Data* Array\ *ClientSkill* One skill. Its content lives in its versions. object **created\_at** required *Created At* string format: date-time **description** required *Description* The latest version's `description`. string **id** required *Id* string format: uuid **latest\_version** required *Latest Version* integer **name** required *Name* The `name` in the skill's SKILL.md frontmatter. string **scope\_id** required Any of: - [string](#tab-panel-2-0) - [null](#tab-panel-2-1) string format: uuid null **updated\_at** required *Updated At* string format: date-time **has\_more** required *Has More* boolean **next** required Any of: - [string](#tab-panel-3-0) - [null](#tab-panel-3-1) string null ##### Examplegenerated ```json { "data": [ { "created_at": "2026-04-15T12:00:00Z", "description": "example", "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "latest_version": 1, "name": "example", "scope_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "updated_at": "2026-04-15T12:00:00Z" } ], "has_more": true, "next": "example" } ``` ### 422 Validation Error Media typeapplication/json *HTTPValidationError* object **detail** *Detail* Array\ *ValidationError* object **ctx** *Context* object **input** *Input* **loc** required *Location* Array **msg** required *Message* string **type** required *Error Type* string ##### Examplegenerated ```json { "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ] } ```